
From: Gerald Schaefer <geraldsc@de.ibm.com>

There is a memory leak during mount when CONFIG_SECURITY is enabled and
mount options are specified.

Signed-off-by: Gerald Schaefer <geraldsc@de.ibm.com>
Acked-by: James Morris <jmorris@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/super.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/super.c~vfs-memory-leak-in-do_kern_mount fs/super.c
--- 25/fs/super.c~vfs-memory-leak-in-do_kern_mount	Fri Jun 17 13:50:17 2005
+++ 25-akpm/fs/super.c	Fri Jun 17 13:50:17 2005
@@ -835,6 +835,7 @@ do_kern_mount(const char *fstype, int fl
 	mnt->mnt_parent = mnt;
 	mnt->mnt_namespace = current->namespace;
 	up_write(&sb->s_umount);
+	free_secdata(secdata);
 	put_filesystem(type);
 	return mnt;
 out_sb:
_
